Skip to main content
POST
Act on a retained widget

Authorizations

Authorization
string
header
required

MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.

Path Parameters

projectId
string
required

ID of the hosted project that contains the server.

serverId
string
required

ID of the server inside the project.

id
string
required

Session ID returned by this local Inspector.

Body

application/json
action
object
required

Response

The session operation result.

action
object
required
widgetToolCalls
object[]
required
elapsedMs
number
required
expiresAt
number
required
screenshotBase64
string
note
string
pluginWorkspace
object